From 7c05d63f87e6f7b9c3366939a6494aa3335381e8 Mon Sep 17 00:00:00 2001
From: Ludo Pulles <ludo.pulles@gmail.com>
Date: Fri, 6 Dec 2024 13:18:28 +0100
Subject: [PATCH] Fix build issues

---
 example/meson.build       | 7 -------
 meson.build               | 5 -----
 src/cysignals/signals.pxd | 1 +
 src/cysignals/signals.pyx | 1 +
 src/cysignals/tests.pyx   | 1 +
 5 files changed, 3 insertions(+), 12 deletions(-)

diff --git a/example/meson.build b/example/meson.build
index e40c614..ae3e120 100644
--- a/example/meson.build
+++ b/example/meson.build
@@ -15,13 +15,6 @@ print(cysignals.__file__.replace('__init__.py', ''))
 ).stdout().strip()
 cysignals = declare_dependency(include_directories: inc_cysignals)
 
-# Make declarations in Cython code available to C include files
-add_project_arguments(
-  '-X preliminary_late_includes_cy28=True',
-  language: 'cython',
-)
-
-
 py.extension_module('cysignals_example',
   sources: ['cysignals_example.pyx'],
   install: true,
diff --git a/meson.build b/meson.build
index d66145b..5209bf2 100644
--- a/meson.build
+++ b/meson.build
@@ -22,11 +22,6 @@ add_project_arguments('-DCYTHON_CLINE_IN_TRACEBACK=0', language: 'c')
 # Disable sanity checking in GNU libc
 # This is required because of false positives in the longjmp() check
 add_project_arguments('-U_FORTIFY_SOURCE', language: 'c')
-# Make declarations in Cython code available to C include files
-add_project_arguments(
-  '-X preliminary_late_includes_cy28=True',
-  language: 'cython',
-)
 
 # Platform-specific settings
 if is_cygwin
diff --git a/src/cysignals/signals.pxd b/src/cysignals/signals.pxd
index 76320f7..531a9a8 100644
--- a/src/cysignals/signals.pxd
+++ b/src/cysignals/signals.pxd
@@ -1,3 +1,4 @@
+# cython: preliminary_late_includes_cy28=True
 #*****************************************************************************
 #  cysignals is free software: you can redistribute it and/or modify it
 #  under the terms of the GNU Lesser General Public License as published
diff --git a/src/cysignals/signals.pyx b/src/cysignals/signals.pyx
index b988167..72f206e 100644
--- a/src/cysignals/signals.pyx
+++ b/src/cysignals/signals.pyx
@@ -1,3 +1,4 @@
+# cython: preliminary_late_includes_cy28=True
 r"""
 Interrupt and signal handling
 
diff --git a/src/cysignals/tests.pyx b/src/cysignals/tests.pyx
index 547095f..ffb04ca 100644
--- a/src/cysignals/tests.pyx
+++ b/src/cysignals/tests.pyx
@@ -1,3 +1,4 @@
+# cython: preliminary_late_includes_cy28=True
 """
 Test interrupt and signal handling
 
